#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <GroupLayout.h>
#include <GroupView.h>
#include <Layout.h>
#include <StringView.h>
#include <TabView.h>
#include <Window.h>


#include "TimeView.h"



class MainWindow : public BWindow
{
	public:
		MainWindow( BRect const& frame );	
		~MainWindow();
		
		virtual void MessageReceived( BMessage* message );
	
	private:
	
		BView*			fLeftColumn;
		BView*			fMiddleColumn;
		BView*			fRightColumn;
		
		TimeView*			fTimeView;
	
		
};


#endif
